# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Powermanagement Daemon"
HOMEPAGE="http://powersave.sf.net"
SRC_URI="mirror://sourceforge/powersave/${P}.tar.bz2"

LICENSE="GLP-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="doc pam_console"

RDEPEND="pam_console? (sys-libs/pam )"

DEPEND=">=sys-apps/dbus-0.30
		>=sys-apps/hal-0.5.3
		doc? ( app-doc/doxygen app-text/tetex )"

pkg_setup() {
	if use pam_console && ! built_with_use sys-libs/pam pam_console ; then
		eerror "You need to build pam with pam_console support"
		eerror "Please remerge sys-libs/pam with USE=pam_console"
		die "pam without pam_console detected"
	fi
}

src_unpack() {
	unpack ${A}
	cd ${S}
	# Use pam_console or group plugdev to control access to powersave
	use pam_console || epatch ${FILESDIR}/plugdev_access.patch
}

src_compile() {
	econf \
		--with-gnome-bindir=/usr/bin \
		--with-kde-bindir=$(kde-config --prefix)/bin \
		$(use_enable doc docs) 
			
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR=${D} install || die "emake install failed"
	
	rm ${D}/usr/sbin/rcpowersaved
	rm -rf ${D}/usr/share/doc/packages
	
	if use doc; then
		dodoc docs/powersave.html docs/powersave_manual.txt
	fi

	newinitd ${FILESDIR}/powersaved.rc powersaved
}
